java.lang.NoClassDefFoundError: com/sun/jersey/api/client/Client

asked 2015-02-12 08:37:26 -0800

Hi Folks,

I am getting this error. Below is my pom.xml. Using Helium for this bundle. Please advise.

Thanks in Advance

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemalocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"> <modelversion>4.0.0</modelversion> <groupid>com.att.osgi.bwcphase2</groupid> <artifactid>com.att.osgi.bwcphase2</artifactid> <version>0.0.1-SNAPSHOT</version> <packaging>bundle</packaging></project>

<!-- Dependecies Management -->
<dependencies>
    <dependency>
        <groupId>javax.servlet</groupId>
        <artifactId>javax.servlet-api</artifactId>
        <version>3.0.1</version>
        <scope>provided</scope>
    </dependency>
    <dependency>
        <groupId>org.apache.felix</groupId>
        <artifactId>org.osgi.compendium</artifactId>
        <version>1.4.0</version>
    </dependency>
    <dependency>
        <groupId>org.apache.felix</groupId>
        <artifactId>org.apache.felix.http.api</artifactId>
        <version>2.3.0</version>
    </dependency>
    <dependency>
        <groupId>com.google.code.gson</groupId>
        <artifactId>gson</artifactId>
        <version>2.3.1</version>
    </dependency>
    <dependency>
        <groupId>com.sun.jersey</groupId>
        <artifactId>jersey-core</artifactId>
        <version>1.17</version>
    </dependency>
    <dependency>
        <groupId>com.sun.jersey</groupId>
        <artifactId>jersey-client</artifactId>
        <version>1.17</version>
    </dependency>
</dependencies>

<build>
    <plugins>
        <plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-compiler-plugin</artifactId>
            <configuration></configuration>
        </plugin>

        <plugin>
            <groupId>org.apache.felix</groupId>
            <artifactId>maven-bundle-plugin</artifactId>
            <extensions>true</extensions>
            <configuration>
                <instructions>
                    <Bundle-SymbolicName>com.att.osgi.bwcphase2</Bundle-SymbolicName>
                    <Bundle-Activator>com.att.osgi.bwcphase2.Activator</Bundle-Activator>
                    <Import-Package>*;resolution:=optional</Import-Package>
                    <Bundle-Vendor>ATT</Bundle-Vendor>
                </instructions>
            </configuration>
        </plugin>
    </plugins>
</build>

edit retag flag offensive close merge delete